oracle.xml.pipeline.controller

## Interface PipelineErrorHandler

All Known Implementing Classes:
  orapipe

    public interface PipelineErrorHandler

For Pipeline Errors the application calling the Pipeline Processor must implement this interface to handle errors received from the Pipeline Processor. This should be set in the PipelineProcessor. It is up to the application to decide whether to throw an exception for different types of errors.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `error(java.lang.String msg, PipelineException e)`
`void` `fatalError(java.lang.String msg, PipelineException e)`
`void` `info(java.lang.String msg)`
`void` `warning(java.lang.String msg, PipelineException e)`

### Method Detail

#### error

    void error(java.lang.String msg,
               PipelineException e)
        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### fatalError

    void fatalError(java.lang.String msg,
                    PipelineException e)
             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### warning

    void warning(java.lang.String msg,
                 PipelineException e)
          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### info

    void info(java.lang.String msg)

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.